> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartmove.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Update vehicle information

> Update the vehicle information of the specified vehicle



## OpenAPI

````yaml /api-reference/m2m-api.yml put /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/vehicle/information
openapi: 3.0.3
info:
  title: M2M API
  version: '@version@'
servers:
  - url: https://api.smartmove.eu/m2m
security: []
tags:
  - name: Vehicles
  - name: Maintenance
  - name: Logbook
  - name: Drivers
  - name: Users
  - name: Checklist
  - name: Incidents
  - name: Databox
  - name: Assets
  - name: Asset Provider
  - name: Invoices
paths:
  /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/vehicle/information:
    put:
      tags:
        - Vehicles
      summary: Update vehicle information
      description: Update the vehicle information of the specified vehicle
      operationId: updateVehicleInformation
      parameters:
        - in: path
          name: assetProviderCountryCode
          schema:
            type: string
            minLength: 2
            maxLength: 2
          required: true
          example: AT
          description: >-
            The two-letter country code of the asset provider the vehicles
            belong to
        - in: path
          name: assetProviderCode
          schema:
            type: string
            minLength: 3
            maxLength: 3
          required: true
          example: ABC
          description: >-
            The three-character code of the asset provider the vehicles belong
            to
        - in: path
          name: vehicleId
          schema:
            type: string
          required: true
          example: AT*ABC*V100006
          description: The id of the vehicle
      requestBody:
        required: true
        description: >-
          The request body contains the new vehicle information that should
          replace the current one of the specified vehicle
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VehicleInformation'
      responses:
        '200':
          description: The new vehicle information
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VehicleInformation'
        '401':
          description: Required and valid bearer token was not included
        '403':
          description: Access to the requested asset provider has been rejected
        '404':
          description: Could not find the vehicle
      security:
        - oauth:
            - openid
components:
  schemas:
    VehicleInformation:
      type: object
      required:
        - vin
      properties:
        vin:
          type: string
          example: 0F0EAATTRBPC3CDBB
        vendor:
          type: string
          example: BMW
        model:
          type: string
          example: Zoe
        variant:
          type: string
          example: Long Range
        licensePlate:
          type: string
          example: W-53A
        fuelType:
          type: string
          enum:
            - DIESEL
            - REGULAR
            - PLUS
            - ELECTRIC
            - HYBRID
            - PLUGINHYBRID
        seats:
          type: integer
          example: 5
        gear:
          type: string
          enum:
            - Manual
            - Automatic
            - SemiAutomatic
        firstRegistrationDate:
          type: string
          format: date
          example: '2023-08-17'
        buildYear:
          type: integer
          example: 2023
        evBatteryCapacity:
          type: number
          format: double
          description: Capacity of the EV battery in kWh
          example: 10.4
        iceTankCapacity:
          type: number
          format: double
          description: Capacity of the ICE fuel tank in liters
          example: 10.4
        trackGeolocation:
          type: boolean
          description: Describes whether geolocation tracking is active or not
        autoLogbookType:
          $ref: '#/components/schemas/TripType'
          description: >-
            Default logbook entry type for new entries when auto-logbook is
            enabled. Null means auto-logbook is off
    TripType:
      type: string
      description: Type of trip
      enum:
        - Business
        - Private
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid
        authorizationCode:
          authorizationUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/auth
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid

````